summaryrefslogtreecommitdiff
path: root/editors/emacs
diff options
context:
space:
mode:
authorThomas Ulmer <thomasmulmer02@gmail.com>2026-06-14 08:59:25 -0700
committerThomas Ulmer <thomasmulmer02@gmail.com>2026-06-14 08:59:25 -0700
commit3376b6420d3b6cc965890e46e7bbd06fbc9fd037 (patch)
tree67b59ce0f9ba016db62067a081c0535d064d2a3f /editors/emacs
parentd533343af750dcfda2321f33953b66396e767f10 (diff)
layout reorg
Diffstat (limited to 'editors/emacs')
-rwxr-xr-xeditors/emacs/setup.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/editors/emacs/setup.sh b/editors/emacs/setup.sh
new file mode 100755
index 0000000..e7ca491
--- /dev/null
+++ b/editors/emacs/setup.sh
@@ -0,0 +1,28 @@
+#!/bin/bash
+
+set -e
+
+EMACSFULL="--with-x-toolkit=gtk3 --disable-build-details --with-cairo \
+ --with-harfbuzz --with-libsystemd=no --with-modules \
+ --with-tree-sitter"
+
+EMACSMIN="--without-all \
+ --with-x-toolkit=no --without-xwidgets --without-x --without-ns --disable-ns-self-contained \
+ --with-xpm=no --with-jpeg=no --with-png=no --with-gif=no --with-tiff=no \
+ --without-internationalization --without-tree-sitter --without-mailutils"
+
+EMACSALWAYS="--with-gnutls --with-file-notification=yes --with-native-compilation=yes --with-zlib=yes"
+
+
+if [[ "$(read -e -p 'Build minimal emacs? [y/N]> '; echo $REPLY)" == [Yy]* ]]; then
+ EMACSOPT="${EMACSMIN} ${EMACSALWAYS}"
+else
+ EMACSOPT="${EMACSFULL} ${EMACSALWAYS}"
+fi
+cd emacs-source
+./autogen.sh
+./configure --prefix="${HOME}/.local" \
+ ${EMACSOPT} \
+ CFLAGS='-O2 -pipe'
+make
+make install